Google Sheets

Integrate your application with the Google Sheets API

🚀 Quickstart

Connect to Google Sheets with Tenklo and see data flow in 2 minutes.

Create an integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Google Sheets.

Tenklo has credentials you can use for testing. Activate them in the dashboard.

Authorize Google Sheets

Go to Connections -> Add Test Connection -> Authorize, then log in to Google Sheets. Later, you'll let your users do the same directly from your app.

Call the Google Sheets API

Let's make your first request to the Google Sheets API (fetch a specific spreadsheet). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/v4/spreadsheets/{sheetId}" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

The {sheetId} in the URL represents the ID of the spreadsheet to retrieve.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Google Sheets Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Google Sheets API

🧩 Pre-built syncs & actions for Google Sheets

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Sheets

Function nameDescriptionTypeSource code
rowsSync worksheet rows from a Google SheetSync🔗 Github

Worksheets

Function nameDescriptionTypeSource code
worksheetsSync worksheets from a Google Sheets spreadsheetSync🔗 Github

Others

Function nameDescriptionTypeSource code
append-values-to-spreadsheetAppend values to the end of a spreadsheet tableAction🔗 Github
batch-clear-values-by-data-filterClear values from ranges matching data filters, preserving formattingAction🔗 Github
batch-clear-valuesClear values from one or more ranges in a spreadsheet, preserving formattingAction🔗 Github
batch-get-values-by-data-filterGet values from ranges matching data filtersAction🔗 Github
batch-get-valuesGet values from multiple rangesAction🔗 Github
batch-update-spreadsheetApply multiple updates to a spreadsheet in a single requestAction🔗 Github
clear-valuesClear values from a range, preserving formattingAction🔗 Github
copy-sheetCopy a sheet to another spreadsheetAction🔗 Github
create-columnInsert a new column into a sheetAction🔗 Github
create-spreadsheet-rowInsert a new row at a given index in a Google SheetAction🔗 Github
create-spreadsheetCreate a new spreadsheetAction🔗 Github
delete-worksheetDelete a worksheet by name from a Google SpreadsheetAction🔗 Github
get-spreadsheet-by-data-filterGet spreadsheet data matching data filtersAction🔗 Github
get-valuesGet values from a spreadsheet rangeAction🔗 Github
search-developer-metadataSearch developer metadata by criteriaAction🔗 Github
update-conditional-format-ruleUpdate or move a conditional format ruleAction🔗 Github
update-valuesUpdate values in a spreadsheet rangeAction🔗 Github
upsert-rowAppend or update a row of values in a Google SheetAction🔗 Github

On this page